com.ibm.openpages.api.workflow

## Interface IWFProcessEvent

-     public interface IWFProcessEvent

  Represents an event in a workflow process instance.

  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getActivityInstanceId()` Returns the Id of the activity the event occurred in.
    `java.lang.String` | `getActor()` Returns the actor affected by the event.
    `java.lang.String` | `getCreatedBy()` Returns the name of the actor that performed the event.
    `java.util.Date` | `getCreatedDate()` Returns the datetime the event occurred.
    `Id` | `getErrorMessageId()` Returns an error message id for exception events.
    `java.lang.String` | `getErrorParams()` Returns a delimited list of parameters for the error message.
    `Id` | `getI18NKeyId()` Returns a I18N key for a localized message.
    `Id` | `getId()` Returns the id of the event.
    `java.lang.String` | `getLabel()` Returns a localized string describing the event.
    `java.lang.String` | `getMessage()` Returns a string describing the event.
    `Id` | `getProcessId()` Returns the Id of the process the event occurred in.
    `WFProcessEventType` | `getType()` Returns the type of event.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns the id of the event.
      Returns:

    - #### getProcessId

          Id getProcessId()

      Returns the Id of the process the event occurred in.
      Returns:

    - #### getActivityInstanceId

          Id getActivityInstanceId()

      Returns the Id of the activity the event occurred in. This can be null.
      Returns:

    - #### getActor

          java.lang.String getActor()

      Returns the actor affected by the event.
      Returns:

    - #### getType

          WFProcessEventType getType()

      Returns the type of event.
      Returns:

    - #### getMessage

          java.lang.String getMessage()

      Returns a string describing the event.
      Returns:

    - #### getLabel

          java.lang.String getLabel()

      Returns a localized string describing the event.
      Returns:

    - #### getI18NKeyId

          Id getI18NKeyId()

      Returns a I18N key for a localized message.
      Returns:

    - #### getErrorMessageId

          Id getErrorMessageId()

      Returns an error message id for exception events.
      Returns:

    - #### getErrorParams

          java.lang.String getErrorParams()

      Returns a delimited list of parameters for the error message.
      Returns:

    - #### getCreatedDate

          java.util.Date getCreatedDate()

      Returns the datetime the event occurred.
      Returns:

    - #### getCreatedBy

          java.lang.String getCreatedBy()

      Returns the name of the actor that performed the event.
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.